Subject: [Ibnemo] Fwd: Re: [nemo-dev] [nemo]user manual

From: "Bert Wijnen (IETF)" <[email-masked]>
Date: Fri, 25 Sep 2015 15:23:44 +0200

FYI (and possible comments or discussion), I posted the below to the
nemo-dev list at opendaylight

Bert

-------- Forwarded Message --------
Subject: 	Re: [nemo-dev] [nemo]user manual
Date: 	Fri, 25 Sep 2015 15:21:56 +0200
From: 	Bert Wijnen (IETF) <[email-masked]>
To: 	zhangyali (D) <[email-masked]>, [email-masked] <[email-masked]>

Thanks for that work.

Maybe I expect too much from a "user manual". But I think I see TYPE sometimes as fw, sometimes as lb,
then as l2-group .... etc.

Is there a fixed list of types? Or are they dynamically specified/defined/created? That is (for me at least)
unclear from the manual. I would expect a list of valid types, no? You could say that such belongs
in a reference manual. I can agree, but then would love to see that reference manual soon.

You also use VN in the first figure and further throughout the manual. You explain that each tenant has his own
VN space. What does VN stand for? Virtual Network maybe? Or is it Virtual Namespace, or what?

In your figure about c3, nodes n1, n2, n3. you speak about the fact that you create a connection.
In our IETF bar-bof we had discussion about this, namely, is it a physical connection, or a logical
connection? And there was also confusion and dicussion on the question what it exactly means.
Some stated that it means that a connection (communication) is allowed between those nodes.
So we had an example aka

       n1 ---- n2
                     |
                     |
                    n3

And in this case soem people thought that n1 was allowed to communicate with n2
That n2 was allowed to communicate with n3
But it did NOT imply that n1 was allowed to communicate with n3.

I am not sure we got a final answer during our IETF bar-bof discussions. From you manual, I cannot also
not determine waht the above picture would mean. Would be great if that can be made clear.

Bert Wijnen
On 25/09/15 11:16, zhangyali (D) wrote:
>
> Hi Team,
>
> I have generated a NEMO user manual according to our latest design and implement.
>
> The wiki link is at:
>
> https://wiki.opendaylight.org/view/NEMO:User_Manual
>
> Please review and comment.
>
> Thanks,
>
> Yali
>
> Best Regards,
>
> Yali
>
>
>
> _______________________________________________
> nemo-dev mailing list
> [email-masked]
> https://lists.opendaylight.org/mailman/listinfo/nemo-dev